Subject: bug#6241: Please make buffer-offer-save permanent local

From: Lennart Borgman <[email-masked]>
Date: Tue, 25 May 2010 20:53:55 +0200

On Tue, May 25, 2010 at 8:09 PM, Stefan Monnier
<[email-masked]> wrote:

>> (put 'buffer-offer-save 'permanent-local t)
>
> Oh, I see, sorry for being too trigger-happy.
> Hmm... I'm not sure whether it would be good or not, and more
> importantly, I'm not sure how it'd affect existing code.  Could someone
> investigate how safe would be such a change, and could someone argue for
> (and/or against) it?

First trigger-happy and then worried. Disappointment often leads to worries ;-)

Maybe it is my imagination, but I can't think of anything that can go
seriously wrong here. (Unless the code that queries the user is wrong,
but let us find those bugs in that case.)

The only thing that I believe can go very wrong is that
buffer-offer-save gets killed - in the situation that we have now.